from .google import Google
from .wordpress import Wordpress
from .abc import Source, Sink, Adapter

_ADAPTERS: set[type[Adapter]] = {
    Google,
    Wordpress,
}
_SOURCES: set[type[Source]] = {
    Google,
}
_SINKS: set[type[Sink]] = {
    Wordpress,
}
ADAPTERS: dict[str, type[Adapter]] = {
    str(x.__name__).lower(): x for x in _ADAPTERS
}
SOURCES: dict[str, type[Source]] = {
    str(x.__name__).lower(): x for x in _SOURCES
}
SINKS: dict[str, type[Sink]] = {
    str(x.__name__).lower(): x for x in _SINKS
}

__all__ = [
    'Google',
    'Wordpress',
]
